*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

body{
    font-size: 15px;
    font-weight: 700;
    width: 100vw;
    height: 100vh;
    font-family: 'Montserrat', sans-serif;
    background-image: url(./images/bg-top.svg), url(./images/bg-bottom.svg);
    background-repeat: no-repeat;
    background-position: top right, bottom left;
    color: black;
    background-color: #F9F6EE
}

.pricing{
    display:flex;
    justify-content: center;
    color: hsl(233, 13%, 49%);
    position: relative;
    align-content: space-around;
    margin-top: 40px;
}

.Annual{
    position: absolute;
    transform: translate(-50%, -50%);
    text-align: center;
    top: 200%;
    left: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.slider{
    display: flex;
    position: relative;
    display: inline-block;
    width: 50px;
    height: 25px;
    margin: 0 10px;
}

.checking{
    position: absolute;
    cursor: pointer;
    background-image: linear-gradient(to right, hsl(250, 18%, 93%), hsl(237, 63%, 64%));
    transition: .5s;
    border-radius: 30px;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
}

.checking::before{
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 3px;
    bottom: 3px;
    background-color: #F9F6EE;
    transition: .5s;
    border-radius: 50px;
}

input:checked+.checking::before{
    transform: translateX(25px);
}

.container{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 100px;
    flex-direction: row;
    gap: 10px;
}


.plan{
    color: hsl(233, 13%, 49%);
    line-height: 50px;
    position: relative;
    padding: 20px;
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 300px;
    border-radius: 30px;
    border: 2px solid white;
    background-color: white;
}


.plan:hover {
    color: black;
    transform: scale(1.1);
    z-index: 1;
    box-shadow: 2px 2px 5px hsl(236, 72%, 79%) to hsl(237, 63%, 64%);
    transition: 0.25s;
    background-image: linear-gradient(to right, hsl(236, 72%, 79%) , hsl(237, 63%, 64%));
}

.dollarmoney{
    font-size: 50px;
    font-weight: 700;
    line-height: 100px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
}

#color:hover {
    background-color: hsl(234, 14%, 74%);
    color: white;
}

.btn {
    height: 40px;
    border-radius: 10px;
    text-align: center;
    text-transform: uppercase;
    font-weight: 700;
    color: white;
    background-image: linear-gradient(to right, hsl(236, 72%, 79%) , hsl(237, 63%, 64%));
    font-size: 15px;
    margin: 15px 0;
    border: none;
    padding: 10px 24px;
    cursor: pointer;
}
.plan:hover .btn {
    background: white;
    color:  hsl(236, 72%, 79%);
}

.plan:hover>.btn {
    background-image: none;
    background-color: white;
    color: hsl(237, 63%, 64%);
}

/* media Queries */

@media screen and (max-width: 700px) {
    .container {
        flex-direction: column;
        align-items: center;
    }

    body {
        margin: 0px;
        padding: 20px;
    }
    .plan{
        margin: 5px;
        width: 100%;
    }

    .plan:hover{
        transform: scale(1);
    }
}
